# Memberships

Memberships

 - [POST /memberships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/createmembership.md): This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown.
 - [POST /memberships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /memberships/{tenantId}/committee/{committee_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycommitteeid.md): Returns a list of records with the specified committee_id
 - [GET /memberships/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycontactid.md): Returns a list of records with the specified contact_id
 - [DELETE /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/deletemembership.md): This method will delete a membership with the specified ID.
 - [GET /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/getmembership.md): This method will look up a membership by the specified ID and return it back.
 - [PATCH /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/patchmembership.md): This method will patch an existing membership with the specified ID, using the HTTP PATCH specification.
 - [PUT /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/updatemembership.md): This method will update an existing membership with the specified ID.
